<?php
/**
 * The template for displaying search results pages
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
 *
 * @package Buzz_Agency
 */

get_header();
$sidebar = get_theme_mod('buzz_agency_archive_setting_sidebar_option_search','right-sidebar');
?>
<div class="container">	
	<div class="row">
		<?php
				global $post;
				$custom_class = 'custom-col-8';
				if( 'no-sidebar' == $sidebar ){
					$custom_class = 'custom-col-12';
				} elseif ( 'both-sidebar' == $sidebar ) {
					$custom_class = 'custom-col-4';
				}else{
					$custom_class = 'custom-col-8';
				}
				if($sidebar=='both-sidebar' || $sidebar=='left-sidebar'){
					get_sidebar('left');
				} 
				if($sidebar=='both-sidebar' || $sidebar=='right-sidebar'){
					get_sidebar();
				}
				?> 
		
		<section id="primary" class="content-area <?php echo esc_attr( $custom_class );?> ">

			<main id="main" class="site-main">

			<?php if ( have_posts() ) : ?>

				<header class="page-header">
					<h1 class="page-title">
						<?php
						/* translators: %s: search query. */
						printf( esc_html__( 'Search Results for: %s', 'buzz-agency' ), '<span>' . get_search_query() . '</span>' );
						?>
					</h1>
				</header><!-- .page-header -->

				<?php
				/* Start the Loop */
				while ( have_posts() ) :
					the_post();

					/**
					 * Run the loop for the search to output the results.
					 * If you want to overload this in a child theme then include a file
					 * called content-search.php and that will be used instead.
					 */
					
					get_template_part( 'template-parts/content', 'search' );

				endwhile;

				the_posts_navigation();

			else :

				get_template_part( 'template-parts/content', 'none' );

			endif;
			?>

			</main><!-- #main -->
		</section><!-- #primary -->
	</div>
</div>
<?php
get_footer();
